<!-- include 'header' -->
<script src="<?= invoice ?>"></script>
<link href="<?= WEB_SITE_GLOBAL ?>css/datepicker.min.css" rel="stylesheet" type="text/css">
<script src="<?= WEB_SITE_GLOBAL ?>js/datepicker.min.js"></script>
<script src="<?= WEB_SITE_GLOBAL ?>js/datepicker.zh.js"></script>
<link rel=stylesheet href="<?= WEB_SITE_GLOBAL ?>js/DataTables/jquery.dataTables.css"> 
<script type="text/javascript" src="<?= WEB_SITE_GLOBAL ?>js/DataTables/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="<?= WEB_SITE_GLOBAL ?>js/dataTables.fixedColumns.min.js"></script>

<script>
$(function() {
	
	$('.fnSettlementType').live('click', function() {
		var iidKey=$(this).attr("data-iidKey");
		$.ajax({
			url: '/ajaxGetInvoice',
			type : "post",
			cache : false,
			dataType : "json",
			data : {
				iidKey : iidKey
			},
			global : true,
			success : function(data) {
				if (data.status == 1) {
					if(data.invoiceDetail.settlementType==0){
						$("#SOFTWARE").attr("checked","checked");
						//$("#rdo1").removeAttr("checked");
					}else if(data.invoiceDetail.settlementType==1){
						$("#TRAINING").attr("checked","checked");
					}
					$("#trainId").html(data.settlementHtml);
					$("#iidKey").val(iidKey);
				} else{
					alert('数据获取失败');
				}	
			},
			error : function(err) {
				alert('操作失败');
			}
		});
		
	});
	
})

</script>

<body>
	<div class="mainLayout">
		<div class="mainMenu">
			<div class="menuItem">
				<a href="#" class="mLogo">CLD</a>
				<ul>
					<!-- include 'menuReceipt' -->
				</ul>
			</div>
		</div>
		<div class="warpContent">
			<div class="subMenu fL">
				<div class="menuItem">
					<!-- include 'invoiceMenu' -->
				</div>
			</div>
			<div class="adminContent autoHeight">
				<legend>
					审批发票
				</legend>
				<div class="demandCate">
				
				<form action="/invoiceApprovalAchieve/{{status}}" id="iaa" method="get" >
				<ul class="cateList">
						<li>
							<a <!-- if {{status}}=='ALL' --> class="now" <!-- endif --> href="/invoiceApprovalAchieve/ALL">所有</a>
							<a <!-- if {{status}}=='PEND' --> class="now" <!-- endif --> href="/invoiceApprovalAchieve/PEND" title="待审批发票">待审批发票</a>
							<a <!-- if {{status}}=='APPROVED' --> class="now" <!-- endif --> href="/invoiceApprovalAchieve/APPROVED" title="已审批发票">已审批发票</a>
						</li>
						<li>
							<select name="invoiceType" node-invoiceType >
								<option <!-- if {{invoiceType}}=='ALL' --> selected <!-- endif --> value="ALL">类型</option>
								<option <!-- if {{invoiceType}}=='ORDINARY' --> selected <!-- endif --> value="ORDINARY">普通发票</option>
								<option <!-- if {{invoiceType}}=='SPECIAL' --> selected <!-- endif --> value="SPECIAL">专用发票</option>
							</select>
						</li>
						<li>
							<select name="invoiceTrain" node-invoiceTrain id="sel">
								<option <!-- if {{invoiceTrain}}=='ALL' --> selected <!-- endif --> value="ALL">所有</option>
								<option <!-- if {{invoiceTrain}}=='ORDINARY' --> selected <!-- endif --> value="ORDINARY">个人发票</option>
								<option <!-- if {{invoiceTrain}}=='TRAIN' --> selected <!-- endif --> value="TRAIN">培训班发票</option>
							</select>
						</li>
						<!-- if {{invoiceTrain}}=='TRAIN' -->
						<li>
						<select name="invoiceTrainName" node-invoiceTrainName style="width:150px;">
								<option <!-- if {{invoiceTrainName}}=='ALL' --> selected <!-- endif --> value="ALL"">所有</option>
								<!-- loop trainList -->
								<option <!-- if {{invoiceTrainName}}=={{trainList' value.itidKey}} --> selected <!-- endif --> value="{{trainList' value.itidKey}}">{{trainList' value.trainName}}</option>
								<!-- endloop -->
								
							</select>
							
						</li>
						<!-- endif -->
						<li>
						<div class="search">
								<div class="input-append">
									<input class="datepicker-here span3" name="date" value="{{dateString}}" placeholder="按时间筛选" type="text" data-range="true" data-multiple-dates-separator=" : " data-language="zh">
									<button class="btn btn-small" type="submit">查询</button>
								</div>
							</div>
						</li>
						
					</ul>
					</form>
				
				</div>
				<div class="saeaList">
				
				
				<table id="example" class="stripe row-border order-column" cellspacing="0" width="2400" >
						<thead>
							<tr class="thead">
							<th>操作</th>
							<th>开票流水号</th>
							<th>开票单位（抬头）</th>
							<th>纳税人识别码</th>
							<th>注册地址~电话</th>
							<th>开户银行~账号</th>
							<th>发票备注</th>
							
							<th>开票内容</th>
							<th>数量</th>
							<th>单价</th>
							<th>开票金额</th>
							
							<th>结算方式</th>
							
							<th>收件人~电话</th>
							<th>收件地址</th>
							<th>邮寄物品</th>
							
							
							<th>提交开票</th>
							<th>审批意见</th>
							<th>完成审批</th>
							</tr>
						</thead>
						<tbody>
							
						</tbody>
						
					</table>
				
				
					
				</div>
						  		
			  	
			</div>
		</div>
	</div>
	
	
<div loading-msg='true' style="position:absolute;  left:50%;  top:50%;  "></div>
	<div class="modal  fade" id="approvalInvice">
		
		<div id="nc"></div>
	</div>
    <!--弹出内容-->   
    
    
    <!--弹出修改结算方式-->
	<div class="modal hide fade" id="editPay">
	<form action="/invoiceSettlementChange" method="post" >
	<input type="hidden" name="iidKey" id="iidKey" value="">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h3>修改结算方式</h3>
				</div>
				<div class="modal-body saeaList">
					<table class="table table-bordered table-condensed">
						<tr>
							<th class="taC" rowspan="2"><span class="colRed">*</span>结算方式</th><td colspan="3">
							<label class="radio"><input type="radio" name="settlementType" id="SOFTWARE" value="SOFTWARE">软件销售</label>
							</td>
						</tr>
						<tr>
							<td>
							<label class="radio"><input type="radio" name="settlementType" id="TRAINING" value="TRAINING" >培训班</label>
								<select name='trainId' id='trainId' >
									
									
								</select>
							</td>
						</tr>
					</table>
				</div>
				<div class="modal-footer">
						<input type="submit" class="button" value="确认修改">
						<a href="#" class="button btn-gray" data-dismiss="modal" aria-hidden="true">取消</a>
				</div>
			</div>
		</div>
		</form>
	</div>
    
         	
<script type="text/javascript">autoFlashHeight();</script>	
<script type="text/javascript">
$(document).ready( function () {
	
	var table =$('#example').DataTable({
		
    	language: {
    		"sProcessing": "处理中...",
    		"sLengthMenu": "显示 _MENU_ 项结果",
    		"sSearch": "搜索:",
    		"sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
    		"sEmptyTable": "表中数据为空",
    		 "oPaginate": {
    	            "sFirst": "首页",
    	            "sPrevious": "上页",
    	            "sNext": "下页",
    	            "sLast": "末页"
    	        },
    		 "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
    	},
    	"paging":   false,
        "ordering": false,
        "info":     false,
        //'filter':false,
    	scrollY:        "700px",
        scrollX:        true,
        scrollCollapse: true,
        paging:         true,
        
        serverSide: true,
        ajax: {
             url: '/ajaxGetinvoiceApprovalAchieve',
             type: 'POST',
             "data": function ( d ) {
                 return $.extend( {}, d, {
                   "status": '{{status}}',
                   'invoiceType':'{{invoiceType}}',
                   'invoiceTrain':'{{invoiceTrain}}',
                   'invoiceTrainName':'{{invoiceTrainName}}',
                   'date':'{{dateString}}',
                 } );
               }
        }

    });
	
	<!-- if {{invoiceTrain}}=='TRAIN' -->
	 setSearchLo('approval','850px');
	<!-- else -->
	setSearchLo('approval');
	<!-- endif -->
} );

function nodeInvoiceApproval(iidKey){
	var postData = iidKey;
	var type =$(this).attr("data-type");
	$("#nc").html('');
	
	$("div[loading-msg='true']").html("<img src='/global/img/loadIco.gif' />");
	var url = "/ajaxGetInvoiceApprovalDetail";
	$.ajax({
		url : url,
		type : "post",
		cache : false,
		dataType : "json",
		data : {
			serial : postData
		},
		global : true,
		success : function(data) {
			if (data.status == 1) {
				$("#nc").html(data.html);
			} else
				$("div[loading-msg='true']").html("illegal request");
		},
		error : function(err) {
			$("div[loading-msg='true']").html("");
		}
	});
}

function nodeInvoice(iidKey){		
	
	var postData = iidKey;
	var type =$(this).attr("data-type");
	$("#nc").html('');
	var po='INVOICE';
	
	$("div[loading-msg='true']").html("<img src='/global/img/loadIco.gif' />");
	var url = "/ajaxGetInvoiceInfoByType";
	$.ajax({
		url : url,
		type : "post",
		cache : false,
		dataType : "json",
		data : {
			serial : postData,
			type:po
		},
		global : true,
		success : function(data) {
			if (data.status == 1) {
				$("div[loading-msg='true']").html("");
				if(type=='receivables')
					$("#nr").html(data.html);
				else
					$("#nc").html(data.html);
			} else
				$("div[loading-msg='true']").html("illegal request");
		},
		error : function(err) {
			$("div[loading-msg='true']").html("");
		}

	});
	}

</script>


</body>